<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp2.2</TargetFramework>
    <AspNetCoreHostingModel>InProcess</AspNetCoreHostingModel>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <OutputPath />
    <DocumentationFile>..\Performance.Api\wwwroot\Performance.Api.xml</DocumentationFile>
    <NoWarn>1701;1702;1591</NoWarn>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="aaa\**" />
    <Compile Remove="Files\**" />
    <Compile Remove="Hubs\**" />
    <Content Remove="aaa\**" />
    <Content Remove="Files\**" />
    <Content Remove="Hubs\**" />
    <EmbeddedResource Remove="aaa\**" />
    <EmbeddedResource Remove="Files\**" />
    <EmbeddedResource Remove="Hubs\**" />
    <None Remove="aaa\**" />
    <None Remove="Files\**" />
    <None Remove="Hubs\**" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="Template\~%24医院绩效模板.xlsx" />
  </ItemGroup>
  
  <PropertyGroup>
    <PublishWithAspNetCoreTargetManifest>false</PublishWithAspNetCoreTargetManifest>
    <UserSecretsId>e732666b-5531-4cd8-b713-2fe3db31126c</UserSecretsId>
  </PropertyGroup>
  
  <ItemGroup>
    <PackageReference Include="AutoMapper" Version="8.0.0" />
    <PackageReference Include="AutoMapper.Extensions.Microsoft.DependencyInjection" Version="6.0.0" />
    <PackageReference Include="CSRedisCore" Version="3.0.45" />
    <PackageReference Include="FluentValidation.AspNetCore" Version="8.1.3" />
    <PackageReference Include="Hangfire" Version="1.6.22" />
    <PackageReference Include="Hangfire.MySql.Core" Version="2.2.2" />
    <PackageReference Include="Microsoft.AspNetCore.App" />
    <PackageReference Include="Microsoft.AspNetCore.Razor.Design" Version="2.2.0" PrivateAssets="All" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="2.2.0" />
    <PackageReference Include="Microsoft.Extensions.Caching.Memory" Version="2.2.0" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="2.2.4" />
    <PackageReference Include="MySql.Data" Version="8.0.15" />
    <PackageReference Include="MySql.Data.EntityFrameworkCore" Version="8.0.15" />
    <PackageReference Include="Newtonsoft.Json" Version="12.0.1" />
    <PackageReference Include="NLog" Version="4.5.11" />
    <PackageReference Include="NLog.Extensions.Logging" Version="1.4.0" />
    <PackageReference Include="NLog.Web.AspNetCore" Version="4.8.0" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="4.0.1" />
    <PackageReference Include="Microsoft.AspNet.SignalR" Version="2.4.1" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Performance.DtoModels\Performance.DtoModels.csproj" />
    <ProjectReference Include="..\Performance.Services\Performance.Services.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Content Update="appsettings.json">
      <CopyToOutputDirectory>Never</CopyToOutputDirectory>
    </Content>
    <Content Update="nlog.config">
      <CopyToOutputDirectory>Never</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\Performance.Api.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\Performance.EntityModels.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <None Update="Template\东方医院绩效模板.xlsx">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Template\医院二次分配绩效模板.xlsx">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Template\医院人员绩效模板.xls">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Template\医院绩效模板%28无执行科室%29.xlsx">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Template\医院绩效模板.xls">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Template\医院绩效模板.xlsx">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

  <ItemGroup>
    <None Update="Template\医院二次分配绩效模板.xlsx">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Template\医院绩效模板.xlsx">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

  <ProjectExtensions><VisualStudio><UserProperties appsettings_1json__JSONSchema="" /></VisualStudio></ProjectExtensions>

</Project>
